Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Add support for the jdbcpostgresql adapter #77

Merged
merged 1 commit into from

2 participants

@yellow5

Mirroring jmcnevin commit for jdbcmysql, this adds support for jdbcpostgresql.

It was verified locally using:

activerecord-jdbcpostgresql-adapter (1.2.2)
jdbc-postgres (9.1.901)

@matthuhiggins matthuhiggins merged commit 4247e13 into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Feb 25, 2012
  1. @yellow5
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 0 deletions.
  1. +1 −0  lib/foreigner.rb
View
1  lib/foreigner.rb
@@ -24,5 +24,6 @@ module Migration
Foreigner::Adapter.register 'mysql2', 'foreigner/connection_adapters/mysql2_adapter'
Foreigner::Adapter.register 'jdbcmysql', 'foreigner/connection_adapters/mysql2_adapter'
Foreigner::Adapter.register 'postgresql', 'foreigner/connection_adapters/postgresql_adapter'
+Foreigner::Adapter.register 'jdbcpostgresql', 'foreigner/connection_adapters/postgresql_adapter'
require 'foreigner/railtie' if defined?(Rails)
Something went wrong with that request. Please try again.